<?xml version="1.0" encoding="UTF-8"?>
<service id="remoting-service" 
    class="flex.messaging.services.RemotingService" 
    messageTypes="flex.messaging.messages.RemotingMessage">

    <adapters>
        <adapter-definition id="java-object" class="flex.messaging.services.remoting.adapters.JavaAdapter" default="true"/>
    </adapters>

    <default-channels>
        <channel ref="my-amf"/>
    </default-channels>

    <!-- These destinations are created for Flex 3: Data and Communications -->
    <destination id="simpleService">
        <properties>
            <source>services.SimpleService</source>
            <scope>application</scope>
        </properties>
    </destination>

    <destination id="sandwichService">
        <properties>
            <source>rorpc.SandwichService</source>
            <scope>application</scope>
        </properties>
    </destination>

    <destination id="photoService">
        <properties>
            <source>fstop.PhotoService</source>
            <scope>application</scope>
        </properties>
    </destination>
    
    <destination id="orderService">
        <properties>
            <source>fstop.OrderService</source>
            <scope>application</scope>
        </properties>
    </destination>
    
    <destination id="categoryService">
        <properties>
            <source>fstop.CategoryService</source>
            <scope>application</scope>
        </properties>
    </destination>

</service>